# Directory Content Scanner

The Directory Content Scanner is a Python-based utility designed to recursively scan directories, presenting both file paths and their content. It's an invaluable tool for in-depth content exploration and debugging within nested file structures.

## 🚀 Getting Started

### 📋 Prerequisites

- Python 3.x

### 🛠️ Installation

1. Clone the repository:
   ```bash
   git clone https://github.com/kevinveenbirkenbach/directory-content-scanner.git
   ```

2. Navigate to the cloned directory:
   ```bash
   cd directory-content-scanner
   ```

## 📖 Usage

Run the Python script, specifying the target directory and any desired filters:

```bash
python3 scan.py /path/to/directory [options]
```

### Options:
- `-f, --filetype`: Filter by file types (e.g., `.txt`, `.log`).
- `-i, --ignore`: Ignore files and folders containing specific strings.
- `--ignore-hidden`: Omit hidden directories from the scan.
- `-v, --verbose`: Enable verbose mode for detailed output.

## ⚠️ Caution

Exercise caution when scanning directories with large files. The script may produce extensive output. Always assess the data volume before executing the script.

## 🤝 Contributing

Contributions via pull requests are welcome. For significant modifications, kindly open an issue first to discuss the proposed changes.

## ✍️ Author

**Kevin Veen-Birkenbach**  
- 📧 [Email Kevin](mailto:kevin@veen.world)
- 🌐 [Website](https://www.veen.world/)

## 📜 License

This project is licensed under the GNU Affero General Public License v3.0. The complete license text is available in the `LICENSE` file.

## 🙏 Acknowledgements

Special thanks to OpenAI's ChatGPT model for assistance. Dive deeper into the creation process [here](https://chat.openai.com/share/71e9bc9e-d34a-4b03-bf68-4f9e994d156a) and [here](https://chat.openai.com/share/3fc66009-ff4e-425e-a4a3-fc703534885d).